summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKristian Fiskerstrand <k_f@gentoo.org>2017-06-02 13:26:12 +0200
committerKristian Fiskerstrand <k_f@gentoo.org>2017-06-02 13:26:12 +0200
commit38ac5b9fe43a62a4c427e3d4552535702187e587 (patch)
treebfc48797c20c13511c642e2abc62d95da5de04cb
parentnet-news/liferea: Drop old version needing vulnerable webkit-gtk version (diff)
downloadgentoo-38ac5b9fe43a62a4c427e3d4552535702187e587.tar.gz
gentoo-38ac5b9fe43a62a4c427e3d4552535702187e587.tar.bz2
gentoo-38ac5b9fe43a62a4c427e3d4552535702187e587.zip
dev-libs/libgcrypt: New upstream version 1.7.7
Package-Manager: Portage-2.3.5, Repoman-2.3.1
-rw-r--r--dev-libs/libgcrypt/Manifest1
-rw-r--r--dev-libs/libgcrypt/libgcrypt-1.7.7.ebuild77
2 files changed, 78 insertions, 0 deletions
diff --git a/dev-libs/libgcrypt/Manifest b/dev-libs/libgcrypt/Manifest
index 1a6b79eadc7..65adde62290 100644
--- a/dev-libs/libgcrypt/Manifest
+++ b/dev-libs/libgcrypt/Manifest
@@ -1,2 +1,3 @@
DIST libgcrypt-1.5.6.tar.bz2 1548918 SHA256 301826b5e521c867056fd630aad6f0a60e176d18a017da6bc24b1695df3abe79 SHA512 2c16912de66bc83adfbf8f43a2a9f57e1afcc866b1774ec11a670e2a793a7c5f2029d134c0bda681c9cb95f7dcc166133782c124e520b7fbe246ec10a9e1c06a WHIRLPOOL d1d556268fafdf7cd19dc0442e25a24b732748b47ce4edd42ce03b039f42e0c409a4711af6759aa04bbcdd94d0dd1c64a20ede89731458d099ea7864c70c24b4
DIST libgcrypt-1.7.6.tar.bz2 2897695 SHA256 626aafee84af9d2ce253d2c143dc1c0902dda045780cc241f39970fc60be05bc SHA512 fb7e20c50280f2ca715c3fc9a457f1cc22224797812f8dfa3ec756471bd0049c2cf75ffe12daa543aefe6cdcd1b90b4b9f943f148c073ad99d3a7dee42a8173f WHIRLPOOL 30c0e6a61ad0c8d2251beeb46466a2aaec05e991fc097f54302af3cdd98c7456522df006d4e590fd9e95a13f1f8291bc3ea5cd0bb99baecadbc0df2a20f2e0e0
+DIST libgcrypt-1.7.7.tar.bz2 2861190 SHA256 b9b85eba0793ea3e6e66b896eb031fa05e1a4517277cc9ab10816b359254cd9a SHA512 2ec96c5e772b73002e25af89363170c37e882197db578eae35a8f542a785fbe52843eed029a5bd6f1a8b6dc5d32803961af425db082e2db597767ebd67779118 WHIRLPOOL 08d6d893cf515ffebf77b1aad297b99c68987b64c28628ec768fdaec826bd1afdaed5f133793c8c708bd1e539872367a5a35b8183b0dcad7b9c7530b83223a09
diff --git a/dev-libs/libgcrypt/libgcrypt-1.7.7.ebuild b/dev-libs/libgcrypt/libgcrypt-1.7.7.ebuild
new file mode 100644
index 00000000000..f1bbb280dfb
--- /dev/null
+++ b/dev-libs/libgcrypt/libgcrypt-1.7.7.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic ltprune multilib-minimal
+
+DESCRIPTION="General purpose crypto library based on the code used in GnuPG"
+HOMEPAGE="http://www.gnupg.org/"
+SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1 MIT"
+SLOT="0/20" # subslot = soname major version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc static-libs"
+
+RDEPEND=">=dev-libs/libgpg-error-1.12[${MULTILIB_USEDEP}]
+ abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-baselibs-20131008-r19
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32]
+ )"
+DEPEND="${RDEPEND}
+ doc? ( virtual/texi2dvi )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.6.1-uscore.patch
+ "${FILESDIR}"/${PN}-multilib-syspath.patch
+)
+
+MULTILIB_CHOST_TOOLS=(
+ /usr/bin/libgcrypt-config
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+multilib_src_configure() {
+ if [[ ${CHOST} == *86*-solaris* ]] ; then
+ # ASM code uses GNU ELF syntax, divide in particular, we need to
+ # allow this via ASFLAGS, since we don't have a flag-o-matic
+ # function for that, we'll have to abuse cflags for this
+ append-cflags -Wa,--divide
+ fi
+ local myeconfargs=(
+ --disable-dependency-tracking
+ --enable-noexecstack
+ --disable-O-flag-munging
+ $(use_enable static-libs static)
+
+ # disabled due to various applications requiring privileges
+ # after libgcrypt drops them (bug #468616)
+ --without-capabilities
+
+ # http://trac.videolan.org/vlc/ticket/620
+ # causes bus-errors on sparc64-solaris
+ $([[ ${CHOST} == *86*-darwin* ]] && echo "--disable-asm")
+ $([[ ${CHOST} == sparcv9-*-solaris* ]] && echo "--disable-asm")
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+ default
+ multilib_is_native_abi && use doc && VARTEXFONTS="${T}/fonts" emake -C doc gcrypt.pdf
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+ multilib_is_native_abi && use doc && dodoc doc/gcrypt.pdf
+}
+
+multilib_src_install_all() {
+ default
+ prune_libtool_files
+}